Bug 905655 - large number of services cause inventory report to not get processed
large number of services cause inventory report to not get processed
Status: CLOSED NEXTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.1.2
All All
urgent Severity urgent
: ---
: JON 3.1.3
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On: 905654
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 16:20 EST by John Mazzitelli
Modified: 2013-09-05 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 905654
Environment:
Last Closed: 2013-09-05 22:25:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 302893 None None None Never

  None (edit)
Description John Mazzitelli 2013-01-29 16:20:32 EST
+++ This bug was initially created as a clone of Bug #905654 +++

The scenario is:

1) agent detects a server, sends it up to server via inventory report
2) user commits that server to inventory
3) agent is told about this, commits the server and auto-detects children services of that newly committed server. The number of children services is huge - say, on the order of tens of thousands (e.g. 40,000 or 50,000)
4) The agents sends up this huge inventory report

At this point, the server will have a hard time processing this report. The server needs to handle this scenario better.

Jay has code written that makes this more efficient.
Comment 1 Jay Shaughnessy 2013-02-26 15:26:54 EST
The relevant commits have been backported to the release branch.
Comment 2 Mike Foley 2013-07-18 17:49:43 EDT
QE Qualification 
---------------

Viet will need to do this.  
Repeat similar activities as with PM-402 ... but on JON 3.1.3 artifacts. 
Document results and pass/fail on this BZ.
Comment 3 Larry O'Leary 2013-09-05 22:25:01 EDT
Closing as there will not be a 3.1.3 release. This is being tracked for 3.2 in the 'depends on' field.

Note You need to log in before you can comment on or make changes to this bug.